import React, { Suspense } from "react";
import ReactDOM from "react-dom";
import "./index.css";
import "./utils/i18n";
import App from "./components/App";
import { BrowserRouter as Router } from "react-router-dom";
import { TuitioProvider } from "@flare/tuitio-react-client";

ReactDOM.render(
  <Router basename={process.env.PUBLIC_URL || ""}>
    <Suspense fallback={<div>Loading...</div>}>
      <TuitioProvider tuitioUrl={process.env.REACT_APP_TUITIO_URL}>
        <App />
      </TuitioProvider>
    </Suspense>
  </Router>,
  document.getElementById("root")
);
